import { Database } from '@rondo.dev/db';
import { Namespace } from 'cls-hooked';
import { Connection, ConnectionOptions, EntityManager, EntitySchema, Logger, ObjectType, Repository } from 'typeorm';
import { TypeORMTransactionManager } from './TypeORMTransactionManager';
export declare class TypeORMDatabase implements Database<Connection, EntityManager, TypeORMTransactionManager> {
    readonly namespace: Namespace;
    protected readonly logger: Logger;
    protected readonly options: ConnectionOptions;
    protected connection?: Connection;
    transactionManager: TypeORMTransactionManager;
    constructor(namespace: Namespace, logger: Logger, options: ConnectionOptions);
    connect(): Promise<Connection>;
    getConnection: () => Connection;
    close(): Promise<void>;
    getEntityManager(): EntityManager;
    getRepository<Entity>(target: ObjectType<Entity> | EntitySchema<Entity> | string): Repository<Entity>;
}
//# sourceMappingURL=TypeORMDatabase.d.ts.map