import { Logger } from '@rondo.dev/logger';
import { Namespace } from 'cls-hooked';
import { Logger as TLogger, QueryRunner } from 'typeorm';
export declare class TypeORMLogger implements TLogger {
    protected readonly logger: Logger;
    protected readonly ns: Namespace;
    constructor(logger: Logger, ns: Namespace);
    logQuery(query: string, parameters?: unknown[], queryRunner?: QueryRunner): void;
    /**
     * Logs query that is failed.
     */
    logQueryError(error: string, query: string, parameters?: unknown[], queryRunner?: QueryRunner): void;
    /**
     * Logs query that is slow.
     */
    logQuerySlow(time: number, query: string, parameters?: unknown[], queryRunner?: QueryRunner): void;
    /**
     * Logs events from the schema build process.
     */
    logSchemaBuild(message: string, queryRunner?: QueryRunner): void;
    /**
     * Logs events from the migrations run process.
     */
    logMigration(message: string, queryRunner?: QueryRunner): void;
    /**
     * Perform logging using given logger, or by default to the console.
     * Log has its own level and message.
     */
    log(level: 'log' | 'info' | 'warn', message: unknown, queryRunner?: QueryRunner): void;
    protected getCorrelationId(): string | undefined;
}
//# sourceMappingURL=TypeORMLogger.d.ts.map