import { TransactionManager } from '@rondo.dev/db';
import { Namespace } from 'cls-hooked';
import { Connection, EntityManager, EntitySchema, Repository } from 'typeorm';
export declare type GetConnection = () => Connection;
export declare class TypeORMTransactionManager implements TransactionManager<EntityManager> {
    readonly ns: Namespace;
    readonly getConnection: GetConnection;
    constructor(ns: Namespace, getConnection: GetConnection);
    getEntityManager: () => EntityManager;
    getRepository: <Entity>(target: string | Function | (new () => Entity) | EntitySchema<Entity>) => Repository<Entity>;
    isInTransaction: () => boolean;
    doInTransaction<T>(fn: (em: EntityManager) => Promise<T>): Promise<T>;
    doInNewTransaction<T>(fn: (em: EntityManager) => Promise<T>): Promise<T>;
    protected setTransactionId(transactionId: string | undefined): void;
    protected setEntityManager(entityManager: EntityManager | undefined): void;
}
//# sourceMappingURL=TypeORMTransactionManager.d.ts.map